Bug 1666295 - Review Request: perl-Data-Binary - Simple detection of binary versus text in strings
Summary: Review Request: perl-Data-Binary - Simple detection of binary versus text in ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1666227
TreeView+ depends on / blocked
 
Reported: 2019-01-15 13:13 UTC by Paul Howarth
Modified: 2019-01-31 03:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-24 03:31:51 UTC
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Paul Howarth 2019-01-15 13:13:55 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Data-Binary/branches/fedora/perl-Data-Binary.spec

SRPM URL: http://www.city-fan.org/~paul/extras/perl-Data-Binary/perl-Data-Binary-0.01-1.fc30.src.rpm

Description:
This simple module provides string equivalents to the -T / -B operators. Since
these only work on file names and file handles, this module provides the same
functions but on strings.

Note that the actual implementation is currently different, basically because
the -T / -B functions are in C/XS, and this module is written in pure Perl. For
now, anyway.

Fedora Account System Username: pghmcfc

Comment 1 Jitka Plesnikova 2019-01-15 14:16:25 UTC
Source file is ok
Summary is ok
License is ok
Description is ok

FIX: URL is wrong. It is link to Data-UUID. Please replace it with
    https://metacpan.org/release/Data-Binary

Source0 is ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Data-Binary-0.01-1.fc30.noarch.rpm | sort | uniq -c
      1 perl(base)
      1 perl(Encode)
      1 perl(Exporter)
      1 perl(:MODULE_COMPAT_5.28.1)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Data-Binary-0.01-1.fc30.noarch.rpm | sort | uniq -c
      1 perl(Data::Binary) = 0.01
      1 perl-Data-Binary = 0.01-1.fc30 
Binary provides are Ok.

$ rpmlint ./perl-Data-Binary*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

Please correct 'FIX' issue.

Otherwise the package looks good.
Approved

Comment 2 Paul Howarth 2019-01-15 14:44:29 UTC
Thanks Jitka, copy and paste error there, will fix on import.

Comment 3 Gwyn Ciesla 2019-01-15 14:45:05 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Data-Binary

Comment 4 Fedora Update System 2019-01-15 15:38:35 UTC
perl-Data-Binary-0.01-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-eb5fbe3e83

Comment 5 Fedora Update System 2019-01-15 15:38:38 UTC
perl-Data-Binary-0.01-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9bfda02b8b

Comment 6 Fedora Update System 2019-01-15 15:38:41 UTC
perl-Data-Binary-0.01-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-711319d914

Comment 7 Fedora Update System 2019-01-16 03:38:51 UTC
perl-Data-Binary-0.01-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-711319d914

Comment 8 Fedora Update System 2019-01-16 03:48:01 UTC
perl-Data-Binary-0.01-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9bfda02b8b

Comment 9 Fedora Update System 2019-01-24 03:31:51 UTC
perl-Data-Binary-0.01-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-01-24 04:30:51 UTC
perl-Data-Binary-0.01-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-01-31 03:34:47 UTC
perl-Data-Binary-0.01-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.